################################################################################
# 郵便番号検索用マスターテーブル.
# この情報は、日本郵便の郵便番号ダウンロード情報
# http://www.post.japanpost.jp/zipcode/download.html
# で取得されたCSVを保存する、マスターテーブルです.
################################################################################
[zip_address_master]

# 全国地方公共団体コード(JIS X0401、X0402).
group_code="char(8)"

# (旧)郵便番号(5桁)
old_zip="char(5)"

# 郵便番号(7桁)
zip="char(7)"
zip="not null"
zip="key"

# 都道府県名(半角カナ).
admin_kana="char(32)"

# 市区町村名(半角カナ).
city_kana="char"

# 町域名(半角カナ).
town_kana="char"

# 都道府県名.
admin="char"

# 市区町村名.
city="char"

# 町域名.
town="char"

# (flag[0/1])一町域が二以上の郵便番号で表される場合.
flag1="int"

# (flag[0/1])小字毎に番地が起番されている町域.
flag2="int"

# (flag[0/1])丁目を有する町域の場合.
flag3="int"

# (flag[0/1])一つの郵便番号で二以上の町域を表す場合.
flag4="int"

# (flag[0/1])更新.
flag5="int"

# (number[0,1,2,3,4,5,6])変更理由.
number1="int"


